#!/bin/sh

set -e

if [ $# -eq 0 ] ; then
    CERTFILE=/mnt/cert.pem
else
    CERTFILE=$1
fi
echo "Generating selfsigned certificate: ${CERTFILE}"

openssl genrsa -out ${CERTFILE} 1024
(
echo "US"
echo "San Jose"
echo "San Jose"
echo "Cavium"
echo ""
echo `hostname`
echo "email@email.com"
echo
echo
)|
/usr/bin/openssl req -new -x509 -nodes -days 36500 -out ${CERTFILE} -keyout ${CERTFILE}
